<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.system.config.mapper.BdShareDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.system.config.BdShareDetail">
        <id column="PK_ID" property="pkId" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="CREATOR" property="creator" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="MODIFIED" property="modified" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
        <result column="PK_SHARE" property="pkShare" />
        <result column="PK_AWARDS" property="pkAwards" />
        <result column="TOTAL_NUMBER" property="totalNumber" />
        <result column="REACH_NUMBER" property="reachNumber" />
        <result column="ADVANCE_MONEY" property="advanceMoney" />
        <result column="RATIO" property="ratio" />
        <result column="PAY_MONEY" property="payMoney" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DEL_FLAG,
        PK_COUNTRY,
        CREATOR,
        CREATION_TIME,
        MODIFIED,
        MODIFIED_TIME,
        PK_ID, PK_SHARE, PK_AWARDS, TOTAL_NUMBER, REACH_NUMBER, ADVANCE_MONEY, RATIO, PAY_MONEY
    </sql>

</mapper>
